Vault
CompozyOS Vault HTTP endpoints.
GET
prefix?stringFilter by vault ref prefix
namespace?stringFilter by vault namespace
OK
application/json- response
secrets*array<>curl -X GET "https://example.com/api/vault/secrets"{ "secrets": [ { "created_at": "2019-08-24T14:15:22Z", "kind": "string", "namespace": "string", "present": true, "ref": "string", "updated_at": "2019-08-24T14:15:22Z" } ]}curl -X DELETE "https://example.com/api/vault/secrets?ref=string"Empty
PUT
JSON request body
application/json- body
kind?stringref*stringsecret_value*stringStored
application/json- response
secret*curl -X PUT "https://example.com/api/vault/secrets" \ -H "Content-Type: application/json" \ -d '{ "ref": "string", "secret_value": "string" }'{ "secret": { "created_at": "2019-08-24T14:15:22Z", "kind": "string", "namespace": "string", "present": true, "ref": "string", "updated_at": "2019-08-24T14:15:22Z" }}GET
ref*stringVault ref
OK
application/json- response
secret*curl -X GET "https://example.com/api/vault/secrets/metadata?ref=string"{ "secret": { "created_at": "2019-08-24T14:15:22Z", "kind": "string", "namespace": "string", "present": true, "ref": "string", "updated_at": "2019-08-24T14:15:22Z" }}